summaryrefslogtreecommitdiff
path: root/source4/script/tests/win/wintest_client.sh
diff options
context:
space:
mode:
Diffstat (limited to 'source4/script/tests/win/wintest_client.sh')
-rwxr-xr-xsource4/script/tests/win/wintest_client.sh10
1 files changed, 5 insertions, 5 deletions
diff --git a/source4/script/tests/win/wintest_client.sh b/source4/script/tests/win/wintest_client.sh
index cd6427a0bd..42fbc5c805 100755
--- a/source4/script/tests/win/wintest_client.sh
+++ b/source4/script/tests/win/wintest_client.sh
@@ -7,20 +7,20 @@
# This variable is defined in the per-hosts .fns file.
. $WINTESTCONF
+export SMBTORTURE_REMOTE_HOST=$1
+
test_name="WINDOWS CLIENT / SAMBA SERVER SHARE"
cat $WINTEST_DIR/common.exp > $TMPDIR/client_test.exp
cat $WINTEST_DIR/wintest_client.exp >> $TMPDIR/client_test.exp
-testit "$test_name" \
- expect $TMPDIR/client_test.exp || all_errs=`expr $all_errs + 1`
+expect $TMPDIR/client_test.exp || all_errs=`expr $all_errs + 1`
if [ $all_errs > 0 ]; then
# Restore snapshot to ensure VM is in a known state.
- restore_snapshot "\n$test_name failed."
- echo "Snapshot restored."
+ restore_snapshot "\n$test_name failed." "$VM_CFG_PATH"
fi
rm -f $TMPDIR/client_test.exp
-testok $0 $all_errs
+exit $all_errs